<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/RawData/AnalysisScripts/GetFroelichUnc.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li><li class="navelem"><a class="el" href="../../dir_69d69c4d8072abf063698672a9d8b6bc.html">RawData</a></li><li class="navelem"><a class="el" href="../../dir_1eeaffa906e10c0f61e17692c31b71ea.html">AnalysisScripts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GetFroelichUnc.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../df/db6/_get_froelich_unc_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;addpath(genpath(<span class="stringliteral">&#39;./MEMOIR&#39;</span>))</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;load(&#39;/Users/dlekshmi/Desktop/Repos/MeMix/Modelling/ResultsNLME/AR_Result_Transfection2018_Data_deGFP.mat&#39;)</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;addpath(genpath(&#39;../../src/NLME&#39;))</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;load Model_Data_transfection_norm.mat</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;load results_norm.mat</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;load norm_SCTL_fits.mat</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;residual_eGFP_mem = NaN(size(Data{1}.SCTL.Y));</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;beta = Model.exp{1}.beta(parameters_MEM.MS.par(:,1));</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;t = Data{1}.SCTL.time;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;optionmu=<span class="keyword">struct</span>();</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;optionmu.rtol=1e-12;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;optionmu.atol=1e-12;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;int_opts=GLS_params(1).int_opts;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;int_opts.sensi=2;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;beta = Model.exp{1}.beta(parameters_MEM.MS.par(:,1));</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;t = Data{1}.SCTL.time;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keywordflow">for</span> icl = 1:size(Data{1}.SCTL.Y,3)</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    sol = Model.exp{1}.model(t,P{1}.SCTL.bhat(:,icl) + beta,[],optionmu);</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    data.Y=Data{1}.SCTL.Y(:,:,icl);</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    data.YID=repmat(1,size(data.Y));</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    thetahat={[sqrt(nanmean((data.Y-sol.y).^2))]};</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    p0=log(10.^(P{1}.SCTL.bhat(:,icl) + beta));</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    [~,~,~,~,FIM2(:,:,icl),FIM(:,:,icl)]=<a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a>(t,p0,data,thetahat,int_opts,{<span class="stringliteral">&#39;additive&#39;</span>});</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    InFIM(:,:,icl)=<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(FIM2(:,:,icl));</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;end</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;% For the second experiment</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;beta = Model.exp{2}.beta(parameters_MEM.MS.par(:,1));</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keywordflow">for</span> icl = 1:size(Data{2}.SCTL.Y,3)</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    sol = Model.exp{2}.model(t,P{2}.SCTL.bhat(:,icl) + beta,[],optionmu);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    data.Y=Data{2}.SCTL.Y(:,:,icl);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    data.YID=repmat(1,size(data.Y));</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    thetahat={[sqrt(nanmean((data.Y-sol.y).^2))]};</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    p0=log(10.^(P{2}.SCTL.bhat(:,icl) + beta));</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    [~,~,~,~,FIM2(:,:,icl+236),FIM(:,:,icl+236)]=<a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a>(t,p0,data,thetahat,int_opts,{<span class="stringliteral">&#39;additive&#39;</span>});</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    InFIM(:,:,icl+236)=<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(FIM2(:,:,icl+236));</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;end</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;save(<span class="stringliteral">&#39;Froelich_uncertainities.mat&#39;</span>,<span class="stringliteral">&#39;InFIM&#39;</span>,<span class="stringliteral">&#39;FIM2&#39;</span>,<span class="stringliteral">&#39;FIM&#39;</span>)</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_stable_inverse_8m_html_ae25b5a84ac67e3f37713d82beb789f4e"><div class="ttname"><a href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a></div><div class="ttdeci">function getStableInverse(in inpMat)</div><div class="ttdoc">getStableInverse gets the inverse of a matrix. First Cholesky is tried. If that fails,...</div></div>
<div class="ttc" id="a_projects_2_llamosi2016_2_user_fns_2call_simulation_8m_html_a675cf3332f7c9140d55c01870b188396"><div class="ttname"><a href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a></div><div class="ttdeci">function callSimulation(in varargin)</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
